org.apache.cassandra.cql3.functions

## Class TokenFct

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.TokenFct

All Implemented Interfaces:
  Function

    public class TokenFct
    extends AbstractFunction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.functions.Function

`Function.Factory`

### Field Summary

Fields
`static Function.Factory` `factory`

### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`argsType, name, returnType`

### Constructor Summary

Constructors
Constructor and Description
`TokenFct(CFMetaData cfm)`

### Method Summary

Methods
`java.nio.ByteBuffer` `execute(java.util.List<java.nio.ByteBuffer> parameters)`

### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`argsType, factory, isPure, name, returnType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### factory

    public static final Function.Factory factory

### Constructor Detail

#### TokenFct

    public TokenFct(CFMetaData cfm)

### Method Detail

#### execute

    public java.nio.ByteBuffer execute(java.util.List<java.nio.ByteBuffer> parameters)
                                throws InvalidRequestException

Throws:
  `InvalidRequestException`